function [ valeur,fq ] = max_fft( signal, fs, f_min, f_max )
%MAX_FFT Renvoie le maximum de la FFT sur un certain intervalle.
%   MAX_FFT(SIGNAL,FS,F_MIN,F_MAX) renvoie [VALEUR, FQ] avec FQ la
%   fréquence correspondant au maximum de la FFT de SIGNAL, échantilloné à
%   FS, sur l'intervalle [F_MIN;F_MAX]; VALEUR l'amplitude à FQ.

FFT = fftshift(abs(fft(signal,2^nextpow2(length(signal))))/length(signal));
n=length(FFT);

f_min_ind = round((n/fs)*(f_min-(-fs/2+fs/(2*n)))+1);
f_max_ind = round((n/fs)*(f_max-(-fs/2+fs/(2*n)))+1);
FFT_tronq=FFT(f_min_ind:f_max_ind);
[valeur,ind] = max(FFT_tronq);
fq =f_min+(ind-1)*fs/n;

end

